BE-2021-0007: Out-of-bounds read vulnerabilities in MicroStation and MicroStation-based applications

Bentley ID: BE-2021-0007
CVE ID: CVE-2021-34881, CVE-2021-46596
Severity: 3.3 (low)
CVSS v3.1: AV:L/AC:L/PR:N/UI:R/S:U/C:L/I:N/A:N
Publication date: 7th December 2021
Revision date: 4th February 2022


Description

Summary: 

MicroStation and MicroStation-based applications may be affected by out-of-bounds vulnerabilities when opening maliciously crafted OBJ files. Exploiting these vulnerabilities could lead to code execution.

Details: 

The following vulnerabilities related to this advisory were discovered by TrendMicro ZDI: ZDI-CAN-14834 and ZDI-CAN-15390.

Using an affected version of MicroStation or MicroStation-based application to open a OBJ file containing maliciously crafted data can force an out-of-bounds read. Exploitation of these vulnerabilities could help an attacker to execute arbitrary code in the context of the current process. 

 

Affected Versions:


Applications Affected Versions Mitigated Versions
MicroStation Versions prior to 10.16.02.* 10.16.02.* and more recent
Bentley View Versions prior to 10.16.02.* 10.16.02.* and more recent

Recommended Mitigations

Bentley recommends updating to the latest versions of MicroStation and MicroStation-based applications. As a general best practice, it is also recommended to only open OBJ files coming from trusted sources.


Acknowledgement

 Thanks to Mat Powell of Trend Micro Zero Day Initiative for discovering these vulnerabilities.
 

Revision History

Date Description
7th December 2021 First version of the advisory
4th February 2022 Adding a new CVE number provided by ZDI